import React, { memo } from "react";

import classNames from "classnames";

import css from "./SectionTitle.module.less";

export default memo(function SectionTitle({
  className,
  itemCount,
  title,
  ...rest
}) {
  return (
    <h2 className={classNames(css.sectionTitle, className)} {...rest}>
      {title}
      {itemCount && <span>({itemCount})</span>}
    </h2>
  );
});
